Package org.eclipse.emf.cdo.lm

# Interface Baseline

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `ModuleElement`, `Notifier`, `StreamElement`, `SystemElement`

All Known Subinterfaces:
  `Change`, `Delivery`, `DeliveryReview`, `Drop`, `DropReview`, `ExtendedBaseline`, `FixedBaseline`, `FloatingBaseline`, `Review`, `Stream`

All Known Implementing Classes:
  `BaselineImpl`, `ChangeImpl`, `DeliveryImpl`, `DeliveryReviewImpl`, `DropImpl`, `DropReviewImpl`, `FixedBaselineImpl`, `FloatingBaselineImpl`, `ReviewImpl`, `StreamImpl`

public interface Baseline extends StreamElement
A representation of the model object 'Baseline'.

See Also:
  - `LMPackage.getBaseline()`
Generated
Model
  abstract="true"
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Stream`
  - `Floating`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<Object>`
`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`long`
`getBaseTimeStamp()`
`CDOBranchPointRef`
`getBranchPoint()`
`String`
`getName()`
`Stream`
`getStream()`
Returns the value of the 'Stream' container reference.
`String`
`getTypeAndName()`
`String`
`getTypeName()`
`boolean`
`isFloating()`
Returns the value of the 'Floating' attribute.
`void`
`setStream(Stream value)`
Sets the value of the '`Stream`' container reference.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### COMPARATOR

static final Comparator<Object> COMPARATOR

## Method Details

### getStream

Stream getStream()
Returns the value of the 'Stream' container reference. It is bidirectional and its opposite is '`Contents`'.

Specified by:
  `getStream` in interface `StreamElement`
Returns:
  the value of the 'Stream' container reference.
See Also:
  - `setStream(Stream)`
  - `LMPackage.getBaseline_Stream()`
  - `Stream.getContents()`
Generated
Model
  opposite="contents" transient="false"

### setStream

void setStream(Stream value)
Sets the value of the '`Stream`' container reference.

Parameters:
  `value` - the new value of the 'Stream' container reference.
See Also:
  - `getStream()`
Generated

### isFloating

boolean isFloating()
Returns the value of the 'Floating' attribute.

Returns:
  the value of the 'Floating' attribute.
See Also:
  - `LMPackage.getBaseline_Floating()`
Generated
Model
  transient="true" changeable="false" volatile="true" derived="true"

### getName

String getName()

Generated
Model
  kind="operation"

### getTypeName

String getTypeName()

### getTypeAndName

String getTypeAndName()

### getBranchPoint

CDOBranchPointRef getBranchPoint()

Generated
Model
  kind="operation" dataType="org.eclipse.emf.cdo.etypes.BranchPointRef"

### getBaseTimeStamp

long getBaseTimeStamp()

Generated
Model
  kind="operation"